# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name wai-extra

Name:           ghc-%{pkg_name}
Version:        1.3.2.4
Release:        2%{?dist}
Summary:        Basic WAI handlers and middleware

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-builder-conduit-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-date-cache-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-stringsearch-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-void-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-logger-devel
BuildRequires:  ghc-zlib-conduit-devel
# End cabal-rpm deps

%description
This library provides common Web Application Interface features.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.3.2.4-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.3.2.4-1
- update to 1.3.2.4

* Thu Feb 14 2013 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2

* Fri Nov 09 2012 Jens Petersen <petersen@redhat.com> - 1.3.0.3-1
- update to 1.3.0.3
- new dependencies on date-cache, stringsearch, and wai-logger

* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 1.2.0.4-4
- rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.2.0.4-2
- rebuild

* Wed May 16 2012 Jens Petersen <petersen@redhat.com> - 1.2.0.4-1
- update to 1.2.0.4
- license is now MIT

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-4
- allows zlib-bindings 0.1

* Wed Apr 11 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-3
- allow data-default 0.4

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-2
- add license to ghc_files

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.4.6-1
- update to 0.4.6
- new depends on fast-logger

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.4.5.2-1
- update to 0.4.5.2 and cabal2spec-0.25.2

* Sun Oct 30 2011 Jens Petersen <petersen@redhat.com> - 0.4.3-2
- rebuild against newer enumerator

* Tue Oct 25 2011 Jens Petersen <petersen@redhat.com> - 0.4.3-1
- update to 0.4.3 and cabal2spec-0.24.1
- update dependencies

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.2-1
- Initial package (#630300)

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
